Subject: RE: FIX: problems not finding crt0.o with gcc
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Martini, Emin" <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Jun 2001 12:27:32 -0400

OK, this sounds like its a non-issue then, unless someone else tries to
manually circumvent/change setup's defaults as you likely did in this case.
If that's the case, it is necessary to re-sync the environment manually as 
you did.

Larry

At 12:16 PM 6/4/2001, you wrote:
>It seems that "/" referred to c:/ not c:/cygwin.  For example, before changing
>the mount I had my path set to
>PATH="/cygwin/usr/local/bin:/cygwin/usr/bin:/cygwin/bin:$PATH".  After issuing
>the mount command I had to change my path to
>PATH="/usr/local/bin:/usr/bin:/bin:$PATH".
>
>Now that I think about it, I might have installed cygwin into c:/ instead of
>c:/cygwin.  Then when I saw the FAQ entry suggesting that stuff should be
>installed to c:/cygwin I might have moved the directories manually instead of
>reinstalling.  Sorry, I don't remember if I did that or not.  Also, I installed
>from a CD made in January of this year not from the latest net version.
>
>-Emin
>
>-----Original Message-----
>From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
>Sent: Monday, June 04, 2001 11:58 AM
>To: Martini, Emin; [email-masked]
>Subject: Re: FIX: problems not finding crt0.o with gcc
>
>
>At 11:52 AM 6/4/2001, Martini, Emin wrote:
> >It seems that gcc expects libraries, include files, etc. to be in /.  This
> >is a problem since the default setup program for cygwin makes / point to the
> >wrong place.  
>
>
>Can you be more specific?  Last I knew, setup.exe mounted "/" as the directory
>where you installed Cygwin (c:/cygwin in your case, I'm guessing) by default.
>What did you get?
>
>
> >By issuing the command "mount c:/cygwin /" in bash I got gcc
> >to see the correct files (e.g. crt0.o, stdio.h, etc.).    
>
>
>
>Larry Hall                              [email-masked]
>RFK Partners, Inc.                      http://www.rfk.com
>118 Washington Street                   (508) 893-9779 - RFK Office
>Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple